//
//  Controller.m
//  Nib2
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates a Window-based Application implemented with a nib, plus 
//  UIAlertViewDelegate and reuse of IBAction.
//

#import "Controller.h"

@implementation Controller

@synthesize textField=_textField;

- (void)alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex
{
    // clear text field
    self.textField.text = nil;
}

- (IBAction)go:(id)sender
{
    // hide keyboard
    [self.textField resignFirstResponder];

    // show alert
    NSString *s = [NSString stringWithFormat:@"Hello, %@", self.textField.text];
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Hello" 
													message:s
												   delegate:self 
										  cancelButtonTitle:@"Thanks!" 
										  otherButtonTitles:nil];
	[alert show];
	[alert release];    
}

- (void)dealloc
{
    [_textField release];
    [super dealloc];
}

@end
