//
//  ViewControllerViewController.m
//  ViewController
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates a View-based Application implemented with two nibs, plus 
//  UIAlertViewDelegate and reuse of IBAction.
//

#import "ViewControllerViewController.h"

@implementation ViewControllerViewController

@synthesize textField=_textField;

- (void)alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex
{
    // clear text field
    self.textField.text = nil;
}

- (IBAction)go:(id)sender
{
    // hide keyboard
    [self.textField resignFirstResponder];
    
    // show alert
    NSString *s = [NSString stringWithFormat:@"Hello, %@", self.textField.text];
	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Hello" 
													message:s
												   delegate:self 
										  cancelButtonTitle:@"Thanks!" 
										  otherButtonTitles:nil];
	[alert show];
	[alert release];    
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // support all orientations
    return YES;
}

- (void)dealloc
{
    [_textField release];
    [super dealloc];
}

@end
